Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003738TestLinkTest Plan (builds, milestones, test assign)public2010-09-02 09:032010-10-09 08:01
Reporterlee_shiueh 
Assigned ToEloff 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 5 
Fixed in Version1.9 RC 1 
Summary0003738: Unable to remove the assigned test case from test plan (that has platforms)
DescriptionIt will display database error message when user tried to remove the assigned test cases from a test plan if the test plan's platforms had been removed in advance.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filesgz file icon 0003738.tar.gz [^] (35,648 bytes) 2010-09-06 15:45

- Relationships
child of 0003735closedfman Availables Fixes for 1.9 Beta 6 

-  Notes
(0011232)
Julian (reporter)
2010-09-02 10:09

first try with newest beta and tell us if problem still exists.
then please give more detailed steps to reproduce
(0011234)
fman (administrator)
2010-09-02 12:42

update to BETA 6 and retest
(0011276)
lee_shiueh (reporter)
2010-09-06 08:28

This issue still happens on TestLink 1.9beta6.
steps for this issue as follows,
1.assign a couple of platforms for the testplan
2.assign a testcase with executor for each platform
3.remove (unassign) previous platforms from the testplan in advance
4.then try to remove (unassign) the previous testcase from testplan

Please notes that,
This issue won't happen if user tries to remove testcase from testplan first, then remove the platform from testplan later.
(0011278)
fman (administrator)
2010-09-06 14:00

Removing Platforms when there are test cases are linked to pair(Test Plan, Platorms) WILL NOT BE ALLOWED.
User will be forced firts to UNLINK Test Cases then Platform can be removed
(0011279)
fman (administrator)
2010-09-06 14:01

Reminder sent to: Eloff

Please let me know if you have time to solve in the way I've explained => Changing the comfirm for a simple Message with no option just accept
(0011282)
Eloff (reporter)
2010-09-06 15:47

Fixed in cvs. Fix attached
(0011285)
fman (administrator)
2010-09-06 19:35

@Erik:
I Agree with you, it will not be clear for users if a lot of things will disappear
(test case from test plan, execution results, etc)

Thanks for quick fix

regards
(0011831)
fman (administrator)
2010-10-09 08:01

Release 1.9 RC1

- Issue History
Date Modified Username Field Change
2010-09-02 09:03 lee_shiueh New Issue
2010-09-02 10:09 Julian Note Added: 0011232
2010-09-02 12:42 fman Note Added: 0011234
2010-09-02 12:42 fman Status new => feedback
2010-09-06 08:28 lee_shiueh Note Added: 0011276
2010-09-06 08:28 lee_shiueh Status feedback => new
2010-09-06 14:00 fman Note Added: 0011278
2010-09-06 14:01 fman Note Added: 0011279
2010-09-06 14:02 fman Summary Unable to remove the assigned test case from test plan => Unable to remove the assigned test case from test plan (that has platforms)
2010-09-06 14:39 Eloff Assigned To => Eloff
2010-09-06 14:39 Eloff Status new => assigned
2010-09-06 15:45 Eloff File Added: 0003738.tar.gz
2010-09-06 15:46 Eloff Relationship added child of 0003735
2010-09-06 15:47 Eloff Note Added: 0011282
2010-09-06 15:47 Eloff Status assigned => resolved
2010-09-06 15:47 Eloff Fixed in Version => 1.9 RC 1
2010-09-06 15:47 Eloff Resolution open => fixed
2010-09-06 19:35 fman Note Added: 0011285
2010-10-09 08:01 fman Note Added: 0011831
2010-10-09 08:01 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker